/*---------------------------------------------------------------
    Mobile Top Bar
--------------------------------------------------------------- */

.mobile-top-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: $mobile-top-bar-height;
    background: #eee;
    @include flexbox();
    @include clearfix;
    z-index: 9999999;

    @include bp800 {
        display: none;
    } 
}

.mobile-top-btn {
    display: inline-block;
    float: left;
    padding: 8px;
    text-align: center;
    text-decoration: none;
    @include flexbox;
    @include align-items(center);
    @include justify-content(center);

    &--menu {
        width: 35%;
        color: $blanc;
        background: $noir;


    }
    
    // Used when only one number is in the mobile top bar
    &--single-number {
        width: 65%;

        a {
            color: $noir; 
            text-decoration: none;       
        }
    }
    .icon{
        margin-right: 5px;
    }
}

// Used to trigger multiple numbers in the mobile top bar
.js-toggle-location-numbers {
    display: block;
    padding: 5px;
    width: 65%;
    float: left;
    text-align: center;
}

.location-numbers {
    top: $mobile-top-bar-height;
    position: absolute;
    left: 0;
    padding: 10px;
    display: none;
    width: 100%;
    background: darken($blanc,20);
    overflow-y: scroll;
    max-height: 80vh;

    &--visible {
        display: block;
    }

    a {
        white-space: nowrap;
    }

    .ld-phonenumber {
        font-size: 2rem;
        display: block;
    }
    
    .ld-location {
        padding: 5px 0;
    }
}